module Paths_Ketchup (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch


version :: Version
version = Version {versionBranch = [0,1,0], versionTags = []}
bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/root/.cabal/bin"
libdir     = "/root/.cabal/lib/Ketchup-0.1.0/ghc-7.6.3"
datadir    = "/root/.cabal/share/Ketchup-0.1.0"
libexecdir = "/root/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catchIO (getEnv "Ketchup_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "Ketchup_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "Ketchup_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "Ketchup_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
